# Generated by Django 2.2.4 on 2019-11-11 07:31

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion
import utils.models


class Migration(migrations.Migration):

    dependencies = [
        ('location', '0020_merge_20191030_1714'),
    ]

    operations = [
        migrations.CreateModel(
            name='WineSubRegion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('old_id', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='old id')),
            ],
            options={
                'verbose_name': 'wine region',
                'verbose_name_plural': 'wine regions',
            },
        ),
        migrations.CreateModel(
            name='WineVillage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('old_id', models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='old id')),
            ],
            options={
                'verbose_name': 'wine village',
                'verbose_name_plural': 'wine villages',
            },
        ),
        migrations.RemoveField(
            model_name='wineappellation',
            name='wine_region',
        ),
        migrations.AddField(
            model_name='wineregion',
            name='coordinates',
            field=django.contrib.gis.db.models.fields.PointField(blank=True, default=None, null=True, srid=4326, verbose_name='Coordinates'),
        ),
        migrations.AddField(
            model_name='wineregion',
            name='description',
            field=utils.models.TJSONField(blank=True, default=None, help_text='{"en-GB":"some text"}', null=True, verbose_name='description'),
        ),
        migrations.AddField(
            model_name='wineregion',
            name='old_id',
            field=models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='old id'),
        ),
        migrations.AlterField(
            model_name='wineregion',
            name='country',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.PROTECT, to='location.Country', verbose_name='country'),
        ),
        migrations.AlterField(
            model_name='wineregion',
            name='name',
            field=models.CharField(max_length=255, verbose_name='name'),
        ),
    ]
